table = list()
for m in range(1,10):
    for o in range(1,10):
        mo = int(str(m)+str(o))
        if mo%2!=0 and mo%3!=0 and mo%4!=0 and mo%5!=0 and mo%6!=0 and mo%7!=0 and mo%8!=0 and mo%9!=0 and m!=o:
            for t in range(1,10):
                if t!=m and t!=o:
                    for u in range(1,10):
                        tu = int(str(t)+str(u))
                        if tu%2==0 and tu%3!=0 and tu%4!=0 and tu%5!=0 and tu%6!=0 and tu%7!=0 and tu%8!=0 and tu%9!=0 and u!=m and u!=o and u!=t:
                            for w in range(1,10):
                                if w%3==0 and w%4!=0 and w%5!=0 and w%6!=0 and w%7!=0 and w%8!=0 and w%9!=0 and w!=m and w!=o and w!=t and w!=u:
                                    for h in range(1,10):
                                        th = int(str(t)+str(h))
                                        if th%4==0 and th%5!=0 and th%6!=0 and th%7!=0 and th%8!=0 and th%9!=0 and h!=m and h!=o and h!=t and h!=u and h!=w:
                                            for f in range(1,10):
                                                if f%5==0 and f%6!=0 and f%7!=0 and f%8!=0 and f%9!=0 and f!=m and f!=o and f!=t and f!=u and f!=w and f!=h:
                                                    for s in range(1,10):
                                                        su = int(str(s)+str(u))
                                                        if su%7==0 and su%8!=0 and su%9!=0 and s!=m and s!=o and s!=t and s!=u and s!=w and s!=h and s!=f:
                                                            for a in range(1,10):
                                                                sa = int(str(s)+str(a))
                                                                if sa%6==0 and sa%7!=0 and sa%8!=0 and sa%9!=0 and a!=m and a!=o and a!=t and a!=u and a!=w and a!=h and a!=f and a!=s:
                                                                    # print("m", m)
                                                                    # print("o", o)
                                                                    # print("t", t)
                                                                    # print("u", u)
                                                                    # print("w", w)
                                                                    # print("h", h)
                                                                    # print("f", f)
                                                                    # print("s", s)
                                                                    # print("a", a)
                                                                    print("mammouths", str(m) + str(a) + str(m) + str(m) + str(o) + str(u) + str(t) + str(h) + str(s))
                                                                    # print("")
